Our API provides a set of endpoints that allow you to programmatically interact with our services.
This documentation will help you understand how to use our API effectively.Browse our endpoints by looking at the endpoints section.
All API endpoints require authentication using our API keys. If you don’t have an API key, please contact us at contact@getcube.ai.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Cube AI Docs","colors":{"primary":"#4B56D2","light":"#82A0F6","dark":"#3644B5"},"favicon":"/favicon.svg","logo":{"light":"https://mintlify.s3.us-west-1.amazonaws.com/cube/logo/logo_light.png","dark":"https://mintlify.s3.us-west-1.amazonaws.com/cube/logo/logo_dark.png"},"navbar":{"links":[{"label":"Support","href":"mailto:contact@getcube.ai"}],"primary":null},"footer":{"socials":{"x":"https://x.com/getcubeai","linkedin":"https://www.linkedin.com/company/cubelogistics/"}},"navigation":{"global":{"anchors":[{"anchor":"Site","href":"https://getcube.ai","icon":"globe"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"cube","hasAudioNarration":false,"actualSubdomain":"cube","customDomains":["docs.getcube.ai"],"gitSource":{"type":"github","owner":"retab-inc","repo":"mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c619016d95c09d0e9483","collectionId":"a234e788-ea5f-4a51-b82c-5730d1c4b7bd","schemaVersion":"v2"},"entitlements":{},"buildId":"6ae922a287612784d2fcb122:success","clientVersion":"0.0.4074","searchFilterCounts":[{"language":"default","tag":"API Reference","count":5},{"language":"default","tag":"Endpoints","count":3},{"language":"default","tag":"API Documentation","count":2},{"language":"default","tag":"Documentation","count":1},{"language":"default","tag":"Get Started","count":1}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/introduction","slug":"/api-reference/introduction","pageMetadata":{"title":"Introduction","description":"Overview of our API endpoints","href":"/api-reference/introduction"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Overview of our API endpoints\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,..._provideComponents(),...props.components},{Heading}=_components;if(!Heading)_missingMdxReference(`Heading`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`welcome-to-our-api`,children:`Welcome to our API`}),`\n`,_jsx(_components.p,{children:`Our API provides a set of endpoints that allow you to programmatically interact with our services.\nThis documentation will help you understand how to use our API effectively.`}),`\n`,_jsxs(_components.p,{children:[`Browse our endpoints by looking at the `,_jsx(_components.a,{href:`https://www.docs.getcube.ai/api-reference/endpoints`,children:`endpoints`}),` section.`]}),`\n`,_jsx(Heading,{level:`2`,id:`authentication`,children:`Authentication`}),`\n`,_jsxs(_components.p,{children:[`All API endpoints require authentication using our API keys. If you don’t have an API key, please contact us at `,_jsx(_components.a,{href:`mailto:contact@getcube.ai`,children:`contact@getcube.ai`}),`.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Introduction","description":"Overview of our API endpoints","href":"/api-reference/introduction"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Welcome to our API","slug":"welcome-to-our-api","depth":2,"children":[]},{"title":"Authentication","slug":"authentication","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"cube","siteName":"Cube AI Docs","title":"Introduction - Cube AI Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/introduction.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Overview of our API endpoints\">\u003cmeta data-mint-head name=\"application-name\" content=\"Cube AI Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cube/_generated/favicon/apple-touch-icon.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cube/_generated/favicon/favicon-32x32.png?v=3\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cube/_generated/favicon/favicon-16x16.png?v=3\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"https://mintlify.s3.us-west-1.amazonaws.com/cube/_generated/favicon/favicon.ico?v=3\">\u003cmeta data-mint-head property=\"og:title\" content=\"Introduction - Cube AI Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Overview of our API endpoints\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cube AI Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.getcube.ai/api-reference/introduction\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://cube.mintlify.site/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Introduction\u0026amp;description=Overview+of+our+API+endpoints\u0026amp;theme=be7d7a556947cd40c6d288d5\u0026amp;signature=84fc456bca5edf62596586ddf2edfae84a507c0e71e69632a305108b9f2db0a4\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Introduction - Cube AI Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Overview of our API endpoints\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://cube.mintlify.site/_mintlify/api/og/v2?division=API+Documentation\u0026amp;title=Introduction\u0026amp;description=Overview+of+our+API+endpoints\u0026amp;theme=be7d7a556947cd40c6d288d5\u0026amp;signature=84fc456bca5edf62596586ddf2edfae84a507c0e71e69632a305108b9f2db0a4\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/cube/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cube AI Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4B56D2\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.getcube.ai/api-reference/introduction\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/introduction.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.getcube.ai/#organization\",\"name\":\"Cube AI Docs\",\"url\":\"https://docs.getcube.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintlify.s3.us-west-1.amazonaws.com/cube/logo/logo_light.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.getcube.ai#website\",\"name\":\"Cube AI Docs\",\"url\":\"https://docs.getcube.ai\",\"publisher\":{\"@id\":\"https://docs.getcube.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.getcube.ai/api-reference/introduction#webpage\",\"url\":\"https://docs.getcube.ai/api-reference/introduction\",\"name\":\"Introduction\",\"description\":\"Overview of our API endpoints\",\"isPartOf\":{\"@id\":\"https://docs.getcube.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.getcube.ai/api-reference/introduction#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.getcube.ai/api-reference/introduction#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Cube AI Docs\",\"item\":\"https://docs.getcube.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Introduction\",\"item\":\"https://docs.getcube.ai/api-reference/introduction\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.getcube.ai/api-reference/introduction#article\",\"headline\":\"Introduction\",\"name\":\"Introduction\",\"description\":\"Overview of our API endpoints\",\"url\":\"https://docs.getcube.ai/api-reference/introduction\",\"mainEntityOfPage\":{\"@id\":\"https://docs.getcube.ai/api-reference/introduction#webpage\"},\"publisher\":{\"@id\":\"https://docs.getcube.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.getcube.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cube AI Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Cube AI Docs","nav":{"global":{"anchors":[{"anchor":"Site","href":"https://getcube.ai","icon":"globe"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":null,"description":null,"href":"/api-reference/integration"}]},{"group":"Endpoints","pages":[{"title":"Extraction Endpoint","openapi":"POST /custom/sample/extractions","href":"/api-reference/endpoint/extraction"},{"title":"Sample Agencies","openapi":"GET /custom/sample/agencies","href":"/api-reference/endpoint/sample_agencies"},{"title":"Sample Match","openapi":"POST /custom/sample/match","href":"/api-reference/endpoint/sample_match"}]}]}]},"basePath":"","title":"Introduction - Cube AI Docs","buildId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","deploymentId":"dpl_BLQvU86QFwq3AhPofSTw6q8dGWKm","dynamics":[],"chunks":[]}